/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workdevicerecord.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 设备询价记录Entity
 * @author 马鹏波
 * @version 2018-06-05
 */
public class WorkDeviceRecord extends DataEntity<WorkDeviceRecord> {
	
	private static final long serialVersionUID = 1L;
	private String deviceName;		// 设备名称
	private String deviceKind;		// 设备型号
	private String deviceUnit;		// 单位
	private String deviceCreator;		// 生产厂家
	private String devicePhone;		// 联系电话
	private Double devicePrice;		// 设备单价
	private String deviceXjId;	//询价主表id
	
	public WorkDeviceRecord() {
		super();
	}

	public WorkDeviceRecord(String id){
		super(id);
	}

	@ExcelField(title="设备名称", align=2, sort=7)
	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}
	
	@ExcelField(title="设备型号", align=2, sort=8)
	public String getDeviceKind() {
		return deviceKind;
	}

	public void setDeviceKind(String deviceKind) {
		this.deviceKind = deviceKind;
	}
	
	@ExcelField(title="单位", align=2, sort=9)
	public String getDeviceUnit() {
		return deviceUnit;
	}

	public void setDeviceUnit(String deviceUnit) {
		this.deviceUnit = deviceUnit;
	}
	
	@ExcelField(title="生产厂家", align=2, sort=10)
	public String getDeviceCreator() {
		return deviceCreator;
	}

	public void setDeviceCreator(String deviceCreator) {
		this.deviceCreator = deviceCreator;
	}
	
	@ExcelField(title="联系电话", align=2, sort=11)
	public String getDevicePhone() {
		return devicePhone;
	}

	public void setDevicePhone(String devicePhone) {
		this.devicePhone = devicePhone;
	}
	
	@ExcelField(title="设备单价", align=2, sort=12)
	public Double getDevicePrice() {
		return devicePrice;
	}

	public void setDevicePrice(Double devicePrice) {
		this.devicePrice = devicePrice;
	}

	public String getDeviceXjId() {
		return deviceXjId;
	}

	public void setDeviceXjId(String deviceXjId) {
		this.deviceXjId = deviceXjId;
	}
}